Exception when viewing https://es.wikiquote.org/wiki/Tema:Sobaaiky57zs7py7
Closed, ResolvedPublic

Description

https://es.wikiquote.org/wiki/Tema:Sobaaiky57zs7py7

The second most common Flow exception in production right now (behind the T107204 ones) is:

61 Flow\Exception\CrossWikiException from line 240 of /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Model/Workflow.php: Interwiki to 'mediawikiwiki' from 'eswikiquote'  not implemented

The exceptions all seem to have the same URL and the same backtrace, suggesting there's a single corrupt topic on Spanish Wikiquote:

2015-09-21 09:17:16 mw1088 eswikiquote exception ERROR: [a41c004f] /wiki/Tema:Sobaaiky57zs7py7   Flow\Exception\CrossWikiException from line 240 of /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Model/Workflow.php: Interwiki to 'mediawikiwiki' from 'eswikiquote'  not implemented {"exception_id":"a41c004f"} 
[Exception Flow\Exception\CrossWikiException] (/srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Model/Workflow.php:240) Interwiki to 'mediawikiwiki' from 'eswikiquote'  not implemented
  #0 /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Model/Workflow.php(224): Flow\Model\Workflow::getFromTitleCache(string, integer, string)
  #1 /srv/mediawiki/php-1.26wmf23/extensions/Flow/Hooks.php(1313): Flow\Model\Workflow->getOwnerTitle()
  #2 /srv/mediawiki/php-1.26wmf23/includes/Hooks.php(204): FlowHooks::onTitleSquidURLs(Title, array)
  #3 /srv/mediawiki/php-1.26wmf23/includes/Title.php(3578): Hooks::run(string, array)
  #4 /srv/mediawiki/php-1.26wmf23/includes/MediaWiki.php(452): Title->getSquidURLs()
  #5 /srv/mediawiki/php-1.26wmf23/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
  #6 /srv/mediawiki/php-1.26wmf23/includes/MediaWiki.php(682): MediaWiki->performRequest()
  #7 /srv/mediawiki/php-1.26wmf23/includes/MediaWiki.php(476): MediaWiki->main()
  #8 /srv/mediawiki/php-1.26wmf23/index.php(41): MediaWiki->run()
  #9 /srv/mediawiki/w/index.php(3): include(string)
  #10 {main}
Catrope created this task.Sep 21 2015, 11:19 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Unbreak Now!.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 11:19 PM
DannyH updated the task description. (Show Details)Sep 25 2015, 8:58 PM
DannyH set Security to None.
SBisson added a subscriber: SBisson.Oct 1 2015, 4:33 PM

Topic:Sobaaiky57zs7py7 is a topic on Echo's talk page on mw.org. It can be viewed successfully here: https://www.mediawiki.org/wiki/Topic:Sobaaiky57zs7py7

If someone wants to link to that page from es.wikiquote, it should be done as an external link.

Or maybe it was just a typo when creating a topic link on es.wikiquote and it's just a coincidence that a topic with this ID exists on mw.org.

SBisson lowered the priority of this task from Unbreak Now! to High.
SBisson claimed this task.
SBisson removed SBisson as the assignee of this task.Oct 2 2015, 6:34 PM

We decided to do a full redirect (302 or something like that) to the other site if possible, right?

In T113311#1698314, @Mattflaschen wrote:

We decided to do a full redirect (302 or something like that) to the other site if possible, right?

If it's not too much trouble, yes.

Any way to know if this is still an exception happening a lot in production? If so, any way to know where is the traffic coming from?

SBisson removed SBisson as the assignee of this task.Oct 21 2015, 11:27 AM

Change 248100 had a related patch set uploaded (by Sbisson):
Display "Unknown topic" when the requested topic is from another wiki

https://gerrit.wikimedia.org/r/248100

The uploaded patch doesn't do redirect. It will display "Unknown topic" when the topic is unknown on this wiki, which, I think, is not too crazy.

Change 248100 merged by jenkins-bot:
Display "Unknown topic" when the requested topic is from another wiki

https://gerrit.wikimedia.org/r/248100

Checked in betalabs

  • checking topics between ruwiki, enwiki, and cawiki - the following messages is displayed:

Unknown topic
The requested topic does not exist.

  • /a/mw-log/ does not display recent 'Flow\Exception\CrossWikiException ...' errors
Catrope closed this task as Resolved.Nov 22 2015, 10:51 PM